### Function

# Ide Object destroyed

#### Declaration

    void
    ide_object_destroyed (
      IdeObject** self
    )

#### Description

This function sets *object_pointer to NULL if object_pointer != NULL. It’s intended to be used as a callback connected to the “destroy” signal of a object. You connect `ide_object_destroyed()` as a signal handler, and pass the address of your object variable as user data. Then when the object is destroyed, the variable will be set to NULL. Useful for example to avoid multiple copies of the same dialog.

Available since: | 3.32

#### Parameters

`self` | `IdeObject`
| A `IdeObject`.
| The data is owned by the caller of the function.